gnutls_x509_crt_check_revocation(3)

NAME
gnutls_x509_crt_check_revocation - This function checks if the given certificate is revoked

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_check_revocation(gnutls_x509_crt_t cert, const gnutls_x509_crl_t * crl_list, int crl_list_length);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

const gnutls_x509_crl_t * crl_list
    should contain a list of gnutls_x509_crl_t structures

int crl_list_length
    the length of the crl_list

DESCRIPTION
This function will return check if the given certificate is revoked. It is assumed that the CRLs have been verified before. Returns 0 if the certificate is NOT revoked, and 1 if it is. A negative value is returned on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.